public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/uv/
Date: Thu, 27 Jun 2024 02:53:53 +0000 (UTC)	[thread overview]
Message-ID: <1719456820.537c2366dc088242288be90f97f8e41ae120ee43.mgorny@gentoo> (raw)

commit:     537c2366dc088242288be90f97f8e41ae120ee43
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 27 01:50:45 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jun 27 02:53:40 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=537c2366

dev-python/uv: Bump to 0.2.17

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/uv/Manifest         |   1 +
 dev-python/uv/uv-0.2.17.ebuild | 103 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 104 insertions(+)

diff --git a/dev-python/uv/Manifest b/dev-python/uv/Manifest
index 1979418ef5d3..1e538497aba2 100644
--- a/dev-python/uv/Manifest
+++ b/dev-python/uv/Manifest
@@ -5,3 +5,4 @@ DIST uv-0.2.10-crates.tar.xz 49410344 BLAKE2B d1e921cac3e9ef07fc9055fa6ff463776e
 DIST uv-0.2.11.gh.tar.gz 1188556 BLAKE2B 9d22cf0bc202635c0631eb15dc955d19c4c65f1baff31391e62962837ff91611479bb9190cbcd15655dd92366ce58c8b13bfea369812c68fb6a56cb11883d745 SHA512 124f4d866307ff0ac522c5780995d6f4be3ae95a35ff4615937511b2d658eb4444005fa49905f1886fc22fe35e7882efbe5fbd87752d457e441c462639d8506a
 DIST uv-0.2.15-crates.tar.xz 48793072 BLAKE2B 5988199d887f371f275a6ee40415743823c73a164a3dcf0c2d384e644d75625305e503543aa6027df0aefafcfc434c1a5da7ed9bea5760a3b83f4aef2f097545 SHA512 8ccf76686df81b0b704322e35e22ff95b8bf9aa4b417365e25ca77d50463095975de75959580cf2465404da7abcd88c6bc2aad5c9633110d55d5534ddeac97b2
 DIST uv-0.2.15.gh.tar.gz 1227841 BLAKE2B 712b0a2180631ce6c8e1d8e1bbd714efc9f97a31e92c295142826f53b1c740b922f80c05d1ab802eca684220252cad699cbece5679e7cc855e2ca34b45cac2d6 SHA512 c54e78c665f61dc649f11fc0a0d49d422c6f06115453512d98de593736b0789843d1c5431d93e5af1541f02031a4c650b7233d23016d70eab1e384672919068c
+DIST uv-0.2.17.gh.tar.gz 1289550 BLAKE2B 7353c4dea4d86b6075fe1afc8af433abc11bdb1a05fa554933be802f155943eac0fb6c18116907444ad68dd2aff359009f7a810e30f8c9c5df52be198ab28a27 SHA512 424580e2353fd45909dd5941aed3b217657c70ff389590a4e15339ec6ecf8bb30fe8cf2324fc901bfcfe04de4a61979616d205f26c4ca612122182a602db0810

diff --git a/dev-python/uv/uv-0.2.17.ebuild b/dev-python/uv/uv-0.2.17.ebuild
new file mode 100644
index 000000000000..078345dc1fbe
--- /dev/null
+++ b/dev-python/uv/uv-0.2.17.ebuild
@@ -0,0 +1,103 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+"
+
+declare -A GIT_CRATES=(
+	[async_zip]='https://github.com/charliermarsh/rs-async-zip;1dcb40cfe1bf5325a6fd4bfcf9894db40241f585;rs-async-zip-%commit%'
+	[pubgrub]='https://github.com/astral-sh/pubgrub;b4435e2f3af10dab2336a0345b35dcd622699d06;pubgrub-%commit%'
+)
+
+inherit cargo check-reqs
+
+CRATE_PV=0.2.15
+DESCRIPTION="A Python package installer and resolver, written in Rust"
+HOMEPAGE="
+	https://github.com/astral-sh/uv/
+	https://pypi.org/project/uv/
+"
+# pypi sdist misses scripts/, needed for tests
+SRC_URI="
+	https://github.com/astral-sh/uv/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+	${CARGO_CRATE_URIS}
+"
+if [[ ${PKGBUMPING} != ${PVR} ]]; then
+	SRC_URI+="
+		https://dev.gentoo.org/~mgorny/dist/uv-${CRATE_PV}-crates.tar.xz
+	"
+fi
+
+# most of the code
+LICENSE="|| ( Apache-2.0 MIT )"
+# crates/pep508-rs is || ( Apache-2.0 BSD-2 ) which is covered below
+# Dependent crate licenses
+LICENSE+="
+	0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD ISC MIT
+	MPL-2.0 Unicode-DFS-2016
+"
+# ring crate
+LICENSE+=" openssl"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="test"
+PROPERTIES="test_network"
+
+BDEPEND="
+	>=virtual/rust-1.77
+	test? (
+		dev-lang/python:3.8
+		dev-lang/python:3.9
+		dev-lang/python:3.10
+		dev-lang/python:3.11
+		dev-lang/python:3.12
+	)
+"
+
+QA_FLAGS_IGNORED="usr/bin/.*"
+
+check_space() {
+	local CHECKREQS_DISK_BUILD=3G
+	use debug && CHECKREQS_DISK_BUILD=9G
+	check-reqs_pkg_setup
+}
+
+pkg_pretend() {
+	check_space
+}
+
+pkg_setup() {
+	check_space
+}
+
+src_prepare() {
+	default
+
+	# https://github.com/vorot93/tokio-tar/pull/23
+	# (fortunately uv already depends on portable-atomic, so we don't
+	# have to fight Cargo.lock)
+	cd "${WORKDIR}/cargo_home/gentoo/tokio-tar-0.3.1" || die
+	eapply "${FILESDIR}/tokio-tar-0.3.1-ppc.patch"
+}
+
+src_compile() {
+	cd crates/uv || die
+	cargo_src_compile
+}
+
+src_test() {
+	# work around https://github.com/astral-sh/uv/issues/4376
+	local -x PATH=${BROOT}/usr/lib/python-exec/python3.12:${PATH}
+
+	cd crates/uv || die
+	cargo_src_test --no-fail-fast
+}
+
+src_install() {
+	cd crates/uv || die
+	cargo_src_install
+}


             reply	other threads:[~2024-06-27  2:53 UTC|newest]

Thread overview: 74+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-06-27  2:53 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-09  6:31 [gentoo-commits] repo/gentoo:master commit in: dev-python/uv/ Michał Górny
2024-10-08  3:00 Michał Górny
2024-10-02 12:12 Michał Górny
2024-09-28  7:42 Michał Górny
2024-09-25  4:39 Michał Górny
2024-09-22  2:23 Michał Górny
2024-09-21  7:41 Michał Górny
2024-09-18 14:03 Michał Górny
2024-09-18 14:03 Michał Górny
2024-09-14  6:03 Michał Górny
2024-09-11  3:09 Michał Górny
2024-09-10  7:06 Michał Górny
2024-09-07  6:23 Michał Górny
2024-09-07  6:23 Michał Górny
2024-09-06  9:25 Michał Górny
2024-09-05  2:21 Michał Górny
2024-09-04  3:13 Michał Górny
2024-09-04  3:13 Michał Górny
2024-09-03  5:23 Michał Górny
2024-09-02  3:02 Michał Górny
2024-08-31  6:55 Michał Górny
2024-08-31  6:55 Michał Górny
2024-08-29  4:21 Michał Górny
2024-08-28  3:43 Michał Górny
2024-08-27  7:39 Michał Górny
2024-08-24  5:52 Michał Górny
2024-08-23 16:44 Michał Górny
2024-08-21  3:14 Michał Górny
2024-08-15 16:01 Michał Górny
2024-07-27  5:52 Michał Górny
2024-07-27  5:52 Michał Górny
2024-07-25  3:12 Michał Górny
2024-07-24  4:24 Michał Górny
2024-07-20  4:51 Michał Górny
2024-07-18  1:33 Michał Górny
2024-07-16  5:30 Michał Górny
2024-07-12 16:10 Michał Górny
2024-07-11  3:25 Michał Górny
2024-07-09  2:10 Michał Górny
2024-07-08  4:41 Michał Górny
2024-07-04  5:13 Michał Górny
2024-07-03  3:44 Michał Górny
2024-06-30  2:52 Michał Górny
2024-06-25  8:01 Michał Górny
2024-06-12  4:57 Michał Górny
2024-06-11  4:20 Michał Górny
2024-06-07  1:59 Michał Górny
2024-06-07  1:59 Michał Górny
2024-06-06  2:02 Michał Górny
2024-06-04  5:19 Michał Górny
2024-05-29  3:48 Michał Górny
2024-05-25  3:50 Michał Górny
2024-05-23  2:11 Michał Górny
2024-05-21  4:14 Michał Górny
2024-05-15  1:40 Michał Górny
2024-05-12 13:05 Michał Górny
2024-05-09  3:50 Michał Górny
2024-05-08  4:57 Michał Górny
2024-04-28  2:24 Michał Górny
2024-04-27 10:43 Michał Górny
2024-04-27  8:47 Michał Górny
2024-04-25  4:43 Michał Górny
2024-04-23  4:32 Michał Górny
2024-04-20  4:29 Michał Górny
2024-04-18  5:34 Michał Górny
2024-04-10  5:36 Michał Górny
2024-04-05  2:45 Michał Górny
2024-03-31 16:48 Jakov Smolić
2024-03-30  8:51 Arthur Zamarin
2024-03-28 17:33 Arthur Zamarin
2024-03-28 17:18 Sam James
2024-03-28 17:18 Sam James
2024-03-21 19:42 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1719456820.537c2366dc088242288be90f97f8e41ae120ee43.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox